### Method

# GObject TypeClass peek_parent

#### Declaration

    GObjectTypeClass*
    g_type_class_peek_parent (
      GObjectTypeClass* g_class
    )

#### Description

This is a convenience function often needed in class initializers. It returns the class structure of the immediate parent type of the class passed in. Since derived classes hold a reference count on their parent classes as long as they are instantiated, the returned class will always exist.

This function is essentially equivalent to: g_type_class_peek (g_type_parent (G_TYPE_FROM_CLASS (g_class)))

#### Return value

Type: `GTypeClass`

The parent class of `g_class`.

The data is owned by the instance.